# Type Alias Update

Update: {
$source?: SourceRef;
notificationId?: NotificationId;
source?: Source;
timestamp?: Timestamp;
} & ({ values: PathValue[] } | { meta: Meta[] })

#### Type Declaration

- ##### `Optional`$source?: SourceRef

- ##### `Optional` notificationId?: NotificationId

- ##### `Optional` source?: Source

  #### Deprecated

  Use $source (SourceRef) instead for more practical string-based referencing

- ##### `Optional` timestamp?: Timestamp

- { values: PathValue[] }
- { meta: Meta[] }

- Defined in deltas.ts:70